<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Device/Nuvoton/Nano1X2Series/Source/GCC/semihosting.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_4c76ddfc10a27668d6c42d3412320ee0.html">Device</a></li><li class="navelem"><a class="el" href="../../dir_dfa946205a9a0ffc7bda9b97689fa4ff.html">Nuvoton</a></li><li class="navelem"><a class="el" href="../../dir_92781df0a275b97b29ea05f684c53720.html">Nano1X2Series</a></li><li class="navelem"><a class="el" href="../../dir_a9675d3fe69a6956120b6eac8ec66ca6.html">Source</a></li><li class="navelem"><a class="el" href="../../dir_d597a4f12eb693ab15e9b0230738caf6.html">GCC</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">semihosting.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d32/semihosting_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a799889dbbe0f2a2ba0fd045ab9155c0d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a799889dbbe0f2a2ba0fd045ab9155c0d">AngelSWI_ARM</a>&#160;&#160;&#160;0x123456</td></tr>
<tr class="separator:a799889dbbe0f2a2ba0fd045ab9155c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52405d1acc07639f9f6cb1693d5437e0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a52405d1acc07639f9f6cb1693d5437e0">AngelSWI</a>&#160;&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a799889dbbe0f2a2ba0fd045ab9155c0d">AngelSWI_ARM</a></td></tr>
<tr class="separator:a52405d1acc07639f9f6cb1693d5437e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0096307232da04e85affd90d3753e5c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a0096307232da04e85affd90d3753e5c1">AngelSWIInsn</a>&#160;&#160;&#160;&quot;swi&quot;</td></tr>
<tr class="separator:a0096307232da04e85affd90d3753e5c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e808da9f5f2ccdc14571bb3be30030"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#ad6e808da9f5f2ccdc14571bb3be30030">AngelSWIAsm</a>&#160;&#160;&#160;swi</td></tr>
<tr class="separator:ad6e808da9f5f2ccdc14571bb3be30030"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a368e5417dfc8239b696ecf3233a6a955"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955">OperationNumber</a> { <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4">SEMIHOSTING_EnterSVC</a> = 0x17
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f">SEMIHOSTING_ReportException</a> = 0x18
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191">SEMIHOSTING_SYS_CLOSE</a> = 0x02
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1">SEMIHOSTING_SYS_CLOCK</a> = 0x10
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac">SEMIHOSTING_SYS_ELAPSED</a> = 0x30
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9">SEMIHOSTING_SYS_ERRNO</a> = 0x13
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd">SEMIHOSTING_SYS_FLEN</a> = 0x0C
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6">SEMIHOSTING_SYS_GET_CMDLINE</a> = 0x15
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90">SEMIHOSTING_SYS_HEAPINFO</a> = 0x16
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99">SEMIHOSTING_SYS_ISERROR</a> = 0x08
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293">SEMIHOSTING_SYS_ISTTY</a> = 0x09
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8">SEMIHOSTING_SYS_OPEN</a> = 0x01
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585">SEMIHOSTING_SYS_READ</a> = 0x06
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22">SEMIHOSTING_SYS_READC</a> = 0x07
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c">SEMIHOSTING_SYS_REMOVE</a> = 0x0E
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8">SEMIHOSTING_SYS_RENAME</a> = 0x0F
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058">SEMIHOSTING_SYS_SEEK</a> = 0x0A
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b">SEMIHOSTING_SYS_SYSTEM</a> = 0x12
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0">SEMIHOSTING_SYS_TICKFREQ</a> = 0x31
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9">SEMIHOSTING_SYS_TIME</a> = 0x11
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93">SEMIHOSTING_SYS_TMPNAM</a> = 0x0D
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3">SEMIHOSTING_SYS_WRITE</a> = 0x05
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6">SEMIHOSTING_SYS_WRITEC</a> = 0x03
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51">SEMIHOSTING_SYS_WRITE0</a> = 0x04
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2">ADP_Stopped_ApplicationExit</a> = ((2 &lt;&lt; 16) + 38)
, <br />
&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393">ADP_Stopped_RunTimeError</a> = ((2 &lt;&lt; 16) + 35)
<br />
 }</td></tr>
<tr class="separator:a368e5417dfc8239b696ecf3233a6a955"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a98e2c4eea386fd66abf40bce60154756"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a98e2c4eea386fd66abf40bce60154756">__attribute__</a> ((always_inline)) call_host(int reason</td></tr>
<tr class="separator:a98e2c4eea386fd66abf40bce60154756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e2aaf30f82842a5290bcfe6f6848dc3"><td class="memItemLeft" align="right" valign="top">asm&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a8e2aaf30f82842a5290bcfe6f6848dc3">volatile</a> (&quot; mov <a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca20eb91018c3024df2ae3582f6e8e662c">r0</a>, %[rsn]  \n&quot; &quot; mov <a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca9e5d4ad994db934322c89e4dbef3f7ce">r1</a>, %[<a class="el" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a>]  \n&quot; &quot; &quot; AngelSWIInsn &quot; %[swi] \n&quot; &quot; mov %[val], <a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca20eb91018c3024df2ae3582f6e8e662c">r0</a>&quot; :[val] &quot;=r&quot;(value) :[rsn] &quot;r&quot;(reason), [<a class="el" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a>] &quot;r&quot;(arg), [swi] &quot;i&quot;(AngelSWI) :&quot;r0&quot;, &quot;<a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca9e5d4ad994db934322c89e4dbef3f7ce">r1</a>&quot;, &quot;<a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca22827a377de213db078757f368a86b05">r2</a>&quot;, &quot;<a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca5d5f095a80fd85c2eb082cf401ea61bd">r3</a>&quot;, &quot;ip&quot;, &quot;<a class="el" href="../../d3/d3d/retarget_8c.html#adc29c2ff13d900c2f185ee95427fb06ca29995ab8070d8bcd4b81920f486d8719">lr</a>&quot;, &quot;memory&quot;, &quot;cc&quot;)</td></tr>
<tr class="separator:a8e2aaf30f82842a5290bcfe6f6848dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8743fdbc616b2f214ae41792ab811610"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a8743fdbc616b2f214ae41792ab811610">__attribute__</a> ((always_inline, noreturn)) report_exception(int reason)</td></tr>
<tr class="separator:a8743fdbc616b2f214ae41792ab811610"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a40c15747aa7d502fffebb8862d494b52"><td class="memItemLeft" align="right" valign="top">static int void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#a40c15747aa7d502fffebb8862d494b52">arg</a></td></tr>
<tr class="separator:a40c15747aa7d502fffebb8862d494b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacce635d68067370c70caa2381ea1040"><td class="memItemLeft" align="right" valign="top">return&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></td></tr>
<tr class="separator:aacce635d68067370c70caa2381ea1040"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a52405d1acc07639f9f6cb1693d5437e0" name="a52405d1acc07639f9f6cb1693d5437e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52405d1acc07639f9f6cb1693d5437e0">&#9670;&nbsp;</a></span>AngelSWI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AngelSWI&#160;&#160;&#160;<a class="el" href="../../d5/d32/semihosting_8h.html#a799889dbbe0f2a2ba0fd045ab9155c0d">AngelSWI_ARM</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00049">49</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<a id="a799889dbbe0f2a2ba0fd045ab9155c0d" name="a799889dbbe0f2a2ba0fd045ab9155c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a799889dbbe0f2a2ba0fd045ab9155c0d">&#9670;&nbsp;</a></span>AngelSWI_ARM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AngelSWI_ARM&#160;&#160;&#160;0x123456</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00045">45</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<a id="ad6e808da9f5f2ccdc14571bb3be30030" name="ad6e808da9f5f2ccdc14571bb3be30030"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e808da9f5f2ccdc14571bb3be30030">&#9670;&nbsp;</a></span>AngelSWIAsm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AngelSWIAsm&#160;&#160;&#160;swi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00059">59</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<a id="a0096307232da04e85affd90d3753e5c1" name="a0096307232da04e85affd90d3753e5c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0096307232da04e85affd90d3753e5c1">&#9670;&nbsp;</a></span>AngelSWIInsn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AngelSWIInsn&#160;&#160;&#160;&quot;swi&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00058">58</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a368e5417dfc8239b696ecf3233a6a955" name="a368e5417dfc8239b696ecf3233a6a955"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a368e5417dfc8239b696ecf3233a6a955">&#9670;&nbsp;</a></span>OperationNumber</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d32/semihosting_8h.html#a368e5417dfc8239b696ecf3233a6a955">OperationNumber</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4" name="a368e5417dfc8239b696ecf3233a6a955a1e8010ad9e6d1ff29a2c309dcce562c4"></a>SEMIHOSTING_EnterSVC&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f" name="a368e5417dfc8239b696ecf3233a6a955a0ec256df1f87ed648561fc9af71e607f"></a>SEMIHOSTING_ReportException&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191" name="a368e5417dfc8239b696ecf3233a6a955ad3510bf376f9de79b96cf64c5086c191"></a>SEMIHOSTING_SYS_CLOSE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1" name="a368e5417dfc8239b696ecf3233a6a955a9926f9916a67ac06dca9dd4a37d287d1"></a>SEMIHOSTING_SYS_CLOCK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac" name="a368e5417dfc8239b696ecf3233a6a955ac4622cd6487037d89c296e82e37345ac"></a>SEMIHOSTING_SYS_ELAPSED&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9" name="a368e5417dfc8239b696ecf3233a6a955aa3a31b77abd833dde82fa4e0b8611bc9"></a>SEMIHOSTING_SYS_ERRNO&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd" name="a368e5417dfc8239b696ecf3233a6a955a3e949e38172269f893161095c65220dd"></a>SEMIHOSTING_SYS_FLEN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6" name="a368e5417dfc8239b696ecf3233a6a955a437a9a0c4a70dbedcb11851511357ab6"></a>SEMIHOSTING_SYS_GET_CMDLINE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90" name="a368e5417dfc8239b696ecf3233a6a955ab3771abdb14db38b2c8499744f08cf90"></a>SEMIHOSTING_SYS_HEAPINFO&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99" name="a368e5417dfc8239b696ecf3233a6a955a17d1ea71fea7dda5950e8a40ad83ab99"></a>SEMIHOSTING_SYS_ISERROR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293" name="a368e5417dfc8239b696ecf3233a6a955aab298cac69009bc12c76335c5f0c6293"></a>SEMIHOSTING_SYS_ISTTY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8" name="a368e5417dfc8239b696ecf3233a6a955ae1ed8ed0ec82d76628671bfc6b96c2d8"></a>SEMIHOSTING_SYS_OPEN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585" name="a368e5417dfc8239b696ecf3233a6a955ac778e8c9d34312cc374e6c3944739585"></a>SEMIHOSTING_SYS_READ&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22" name="a368e5417dfc8239b696ecf3233a6a955ad660d6a7ee480d67538657ec1cf3dd22"></a>SEMIHOSTING_SYS_READC&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c" name="a368e5417dfc8239b696ecf3233a6a955a6967f75e9d753f6be0a79fab3c21847c"></a>SEMIHOSTING_SYS_REMOVE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8" name="a368e5417dfc8239b696ecf3233a6a955aeeb2d6fbf5175ae3573d46080f9034f8"></a>SEMIHOSTING_SYS_RENAME&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058" name="a368e5417dfc8239b696ecf3233a6a955a6bc8a00c58c3d3d70d816ae494772058"></a>SEMIHOSTING_SYS_SEEK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b" name="a368e5417dfc8239b696ecf3233a6a955acfe3855bb6707f6223f63f3561b48c4b"></a>SEMIHOSTING_SYS_SYSTEM&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0" name="a368e5417dfc8239b696ecf3233a6a955a096d055933d76014c5c7bcf479a46cc0"></a>SEMIHOSTING_SYS_TICKFREQ&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9" name="a368e5417dfc8239b696ecf3233a6a955a9771471947fe184e3eb3a1eb02a862e9"></a>SEMIHOSTING_SYS_TIME&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93" name="a368e5417dfc8239b696ecf3233a6a955a95055a5c7298611a40cd227e3b394d93"></a>SEMIHOSTING_SYS_TMPNAM&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3" name="a368e5417dfc8239b696ecf3233a6a955a383c529db53a8cc54631bf18bb9531d3"></a>SEMIHOSTING_SYS_WRITE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6" name="a368e5417dfc8239b696ecf3233a6a955a9c57b8c9baa11c43e0396bdc3339e9d6"></a>SEMIHOSTING_SYS_WRITEC&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51" name="a368e5417dfc8239b696ecf3233a6a955abf5f7cab3b1a63f29116542674042a51"></a>SEMIHOSTING_SYS_WRITE0&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2" name="a368e5417dfc8239b696ecf3233a6a955a97308e2a5471b6725e9198f057870cb2"></a>ADP_Stopped_ApplicationExit&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393" name="a368e5417dfc8239b696ecf3233a6a955a09774fa193a1c79327c02f3c5f26d393"></a>ADP_Stopped_RunTimeError&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00008">8</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a98e2c4eea386fd66abf40bce60154756" name="a98e2c4eea386fd66abf40bce60154756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98e2c4eea386fd66abf40bce60154756">&#9670;&nbsp;</a></span>__attribute__() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int __attribute__ </td>
          <td>(</td>
          <td class="paramtype">(always_inline)&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8743fdbc616b2f214ae41792ab811610" name="a8743fdbc616b2f214ae41792ab811610"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8743fdbc616b2f214ae41792ab811610">&#9670;&nbsp;</a></span>__attribute__() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void __attribute__ </td>
          <td>(</td>
          <td class="paramtype">(always_inline, noreturn)&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00105">105</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<a id="a8e2aaf30f82842a5290bcfe6f6848dc3" name="a8e2aaf30f82842a5290bcfe6f6848dc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e2aaf30f82842a5290bcfe6f6848dc3">&#9670;&nbsp;</a></span>volatile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">asm volatile </td>
          <td>(</td>
          <td class="paramtype">&quot; mov&#160;</td>
          <td class="paramname"><em>r0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">% \n&quot; &quot; mov&#160;</td>
          <td class="paramname"><em>r1</em>[rsn], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">% \n&quot; &quot; &quot; AngelSWIInsn &quot; % \n&quot; &quot; mov %&#160;</td>
          <td class="paramname">[arg][swi][val]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a40c15747aa7d502fffebb8862d494b52" name="a40c15747aa7d502fffebb8862d494b52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40c15747aa7d502fffebb8862d494b52">&#9670;&nbsp;</a></span>arg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int void* arg</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div>
<div class="line">    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></div>
<div class="ttc" id="asemihosting_8h_html_aacce635d68067370c70caa2381ea1040"><div class="ttname"><a href="../../d5/d32/semihosting_8h.html#aacce635d68067370c70caa2381ea1040">value</a></div><div class="ttdeci">return value</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d32/semihosting_8h_source.html#l00098">semihosting.h:98</a></div></div>
</div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00073">73</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
<a id="aacce635d68067370c70caa2381ea1040" name="aacce635d68067370c70caa2381ea1040"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacce635d68067370c70caa2381ea1040">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">return value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d32/semihosting_8h_source.html#l00098">98</a> of file <a class="el" href="../../d5/d32/semihosting_8h_source.html">semihosting.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
